ruby-barby_0.6.5-1_all.deb


Advertisement

Description

ruby-barby - Ruby library for barcode generation

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-barby
Package version 0.6.5
Package release 1
Package architecture all
Package type deb
Installed size 145 B
Download size 33.46 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-barby_0.6.5-1_all.deb 0.6.5 all Debian Main
ruby-barby - - -

Requires

Name Value
ruby -
ruby-interpreter -
ruby-rqrcode -

Download

Type URL
Binary Package ruby-barby_0.6.5-1_all.deb
Source Package ruby-barby

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-barby deb package:
    # sudo apt-get install ruby-barby

Files

Path
/usr/lib/ruby/vendor_ruby/barby.rb
/usr/lib/ruby/vendor_ruby/barby/barcode.rb
/usr/lib/ruby/vendor_ruby/barby/outputter.rb
/usr/lib/ruby/vendor_ruby/barby/vendor.rb
/usr/lib/ruby/vendor_ruby/barby/version.rb
/usr/lib/ruby/vendor_ruby/barby/barcode/bookland.rb
/usr/lib/ruby/vendor_ruby/barby/barcode/code_128.rb
/usr/lib/ruby/vendor_ruby/barby/barcode/code_25.rb
/usr/lib/ruby/vendor_ruby/barby/barcode/code_25_iata.rb
/usr/lib/ruby/vendor_ruby/barby/barcode/code_25_interleaved.rb
/usr/lib/ruby/vendor_ruby/barby/barcode/code_39.rb
/usr/lib/ruby/vendor_ruby/barby/barcode/code_93.rb
/usr/lib/ruby/vendor_ruby/barby/barcode/data_matrix.rb
/usr/lib/ruby/vendor_ruby/barby/barcode/ean_13.rb
/usr/lib/ruby/vendor_ruby/barby/barcode/ean_8.rb
/usr/lib/ruby/vendor_ruby/barby/barcode/gs1_128.rb
/usr/lib/ruby/vendor_ruby/barby/barcode/qr_code.rb
/usr/lib/ruby/vendor_ruby/barby/barcode/upc_supplemental.rb
/usr/lib/ruby/vendor_ruby/barby/outputter/ascii_outputter.rb
/usr/lib/ruby/vendor_ruby/barby/outputter/cairo_outputter.rb
/usr/lib/ruby/vendor_ruby/barby/outputter/html_outputter.rb
/usr/lib/ruby/vendor_ruby/barby/outputter/pdfwriter_outputter.rb
/usr/lib/ruby/vendor_ruby/barby/outputter/png_outputter.rb
/usr/lib/ruby/vendor_ruby/barby/outputter/prawn_outputter.rb
/usr/lib/ruby/vendor_ruby/barby/outputter/rmagick_outputter.rb
/usr/lib/ruby/vendor_ruby/barby/outputter/svg_outputter.rb
/usr/share/doc/ruby-barby/README.Debian
/usr/share/doc/ruby-barby/README.md.gz
/usr/share/doc/ruby-barby/changelog.Debian.gz
/usr/share/doc/ruby-barby/changelog.gz
/usr/share/doc/ruby-barby/copyright
/usr/share/rubygems-integration/all/specifications/barby-0.6.5.gemspec

Changelog

2016-12-10 - Antonio Terceiro <terceiro@debian.org>
ruby-barby (0.6.5-1) unstable; urgency=medium
* Team upload
[ Cédric Boutillier ]
* Bump debhelper compatibility level to 9
* Remove version in the gem2deb build-dependency
* Use https:// in Vcs-* fields
* Run wrap-and-sort on packaging files
[ Antonio Terceiro ]
* debian/watch: point to github
* New upstream version 0.6.5
* update packaging with `dh-make-ruby -w`
* debian/rules: fix post-install cleanups
* run tests during build
2013-12-02 - Jonas Genannt <jonas.genannt@capi2name.de>
ruby-barby (0.5.1-3) unstable; urgency=low
* Team upload.
* d/control: added Recommends: ruby-cairo, ruby-prawn, ruby-rmagick
ruby-chunky-png
2013-11-30 - Jonas Genannt <jonas.genannt@capi2name.de>
ruby-barby (0.5.1-2) unstable; urgency=low
* Team upload.
* d/control:
- removed transitional packages
- bumped standards version to 3.9.5 (no changes needed)
- removed dependency of librqrcode-ruby1.8
- removed version dependency to ruby1.8, changed to ruby
- removed trailing whitespace
2013-05-23 - Gunnar Wolf <gwolf@debian.org>
ruby-barby (0.5.1-1) unstable; urgency=low
* New upstream version
* Updated standards-version 3.9.2 → 3.9.4 (no changes needed)
* Removed obsolete DM-Upload-Allowed flag
2012-01-16 - Gunnar Wolf <gwolf@debian.org>
ruby-barby (0.5.0-1) unstable; urgency=low
* New upstream release
* Set priority:extra to generated transitional packages
2011-05-13 - Gunnar Wolf <gwolf@debian.org>
ruby-barby (0.4.3-1) unstable; urgency=low
* New upstream release
* Repackaged using the new deb2gem packaging infrastructure
2010-05-07 - Gunnar Wolf <gwolf@debian.org>
libbarby-ruby (0.3.2-1) unstable; urgency=low
* New upstream release (Closes: #557023)
* Package does not depend on rails - dropping dependency
* Excluding Pdf417 from package, as it requires JRuby
* Standards-version 3.8.2→3.8.4 (no changes needed)
* Touch implaussibly old files, keeping lintian happy
2009-06-29 - Gunnar Wolf <gwolf@debian.org>
libbarby-ruby (0.3-1) unstable; urgency=low
* Initial upload (Closes: #534768:)

See Also

Package Description
ruby-barrier_1.0.2-1_all.deb Ruby threads synchronization using a barrier method
ruby-base32_0.3.2-3_all.deb Ruby extension for base32 encoding and decoding
ruby-base62_1.0.0-3_all.deb base62 encoding and decoding library for Ruby
ruby-batch-loader_1.2.1-1_all.deb Powerful tool to avoid N+1 DB or HTTP queries
ruby-bcat_0.6.2-8_all.deb pipe to browser utility
ruby-bcrypt-pbkdf_1.0.0-1+b2_amd64.deb Ruby library for OpenBSD's bcrypt_pdkfd
ruby-bcrypt_3.1.12-1_amd64.deb Ruby binding for the bcrypt() password hashing algorithm
ruby-beaneater_1.0.0-1_all.deb simple beanstalkd client for Ruby
ruby-beautify_0.97.4-4_all.deb CLI binary and module that will pretty up Ruby code
ruby-beefcake_1.0.0-1_all.deb sane Google Protocol Buffers library for Ruby
ruby-benchmark-ips-doc_1.2.0+git.20130609.e47e416-2_all.deb iterations per second enhancement to Benchmark (documentation)
ruby-benchmark-ips_1.2.0+git.20130609.e47e416-2_all.deb iterations per second enhancement to Benchmark
ruby-benchmark-suite-doc_1.0.0+git.20130122.5bded6-2_all.deb enhancements to the standard library benchmark.rb (documentation)
ruby-benchmark-suite_1.0.0+git.20130122.5bded6-2_all.deb enhancements to the standard library benchmark.rb
ruby-berkshelf-api-client_2.0.2-1_all.deb ruby library for communicating with a Berkshelf API server
Advertisement
Advertisement